Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.0-BETA1
    • Fix Version/s: 2.0-BETA2
    • Component/s: ORM
    • Security Level: All
    • Labels:
      None
    • Environment:
      All

      Description

      It is stated on the website http://www.doctrine-project.org/projects/orm/2.0/docs/reference/introduction/en#introduction that you can install Doctrine2 using the pear installer. But there is no releases. It would be brilliant with a fix shortly

        Activity

        Hide
        Roman S. Borschel added a comment -

        I am a bit clueless as to how Pirum works (http://pear.doctrine-project.org/) I tried to get the Doctrine 2 BETA1 release up there without success.

        Maybe Jon can take a look at this.

        The packages you can download from the website are already valid pear packages though so you could even install them manually I think: pear install DoctrineORM-2.0.0-BETA1.tgz

        Show
        Roman S. Borschel added a comment - I am a bit clueless as to how Pirum works ( http://pear.doctrine-project.org/ ) I tried to get the Doctrine 2 BETA1 release up there without success. Maybe Jon can take a look at this. The packages you can download from the website are already valid pear packages though so you could even install them manually I think: pear install DoctrineORM-2.0.0-BETA1.tgz
        Hide
        Roman S. Borschel added a comment -

        What is the state of affairs here? Works now?

        Show
        Roman S. Borschel added a comment - What is the state of affairs here? Works now?
        Hide
        Lars Olesen added a comment - - edited

        I am still not able to follow the documentation and install Doctrine2 using the pear installer.

        Show
        Lars Olesen added a comment - - edited I am still not able to follow the documentation and install Doctrine2 using the pear installer.
        Hide
        Jonathan H. Wage added a comment -

        Can you paste the command you run and the output/error you get?

        Show
        Jonathan H. Wage added a comment - Can you paste the command you run and the output/error you get?
        Hide
        Lars Olesen added a comment -

        After BETA3 it works. Before I just copied the line from the documentation and I was told, that there was no releases. But now it works.

        Show
        Lars Olesen added a comment - After BETA3 it works. Before I just copied the line from the documentation and I was told, that there was no releases. But now it works.
        Hide
        Jan Obrátil added a comment -

        That's because documentation is a little confusing. Pear can't install beta versions automaticaly, so i my case I must type exact version:

        pear channel-discover pear.doctrine-project.org
        pear install doctrine/DoctrineCommon-2.0.0BETA3
        pear install doctrine/DoctrineDBAL-2.0.0BETA2
        pear install doctrine/DoctrineORM-2.0.0BETA2

        Show
        Jan Obrátil added a comment - That's because documentation is a little confusing. Pear can't install beta versions automaticaly, so i my case I must type exact version: pear channel-discover pear.doctrine-project.org pear install doctrine/DoctrineCommon-2.0.0BETA3 pear install doctrine/DoctrineDBAL-2.0.0BETA2 pear install doctrine/DoctrineORM-2.0.0BETA2

          People

          • Assignee:
            Jonathan H. Wage
            Reporter:
            Lars Olesen
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: